<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Режиссеры</title>
    <script th:inline="javascript">
        let flag = [[${exception}]];
        window.onload = () => {
            if (flag) new bootstrap.Modal(document.getElementById('deleteErrorModal'), {keyboard: false}).show()
        };
    </script>
</head>
<body>
<div layout:fragment="content">
    <div>
        <hr class="hr"/>
        <h3>Поиск режиссера</h3>
        <form method="POST" th:action="@{/directors/search}" th:object="${directorSearchForm}">
            <div class="mt-0 row g-2">
                <div class="col-md">
                    <div class="form-floating">
                        <input name="directorsFio" type="text" class="form-control" id="directorsFio" placeholder="FIO Director">
                        <label for="directorsFio">ФИО режиссера</label>
                    </div>
                </div>
                <div class="row g-2">
                    <button type="submit" class="btn btn-secondary">Найти</button>
                </div>
            </div>
        </form>
    </div>
    <hr class="mt-3 hr"/>
    <div class="mt-5">
        <div class="row">
            <div class="col">
                <h2>Все режиссеры</h2>
            </div>
            <div class="col">
                <a sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('LIBRARIAN'))" href="directors/add"
                   class="btn btn-success" role="button" style="float: right" aria-disabled="true">Добавить режиссера</a>
            </div>
        </div>
        <div>
            <table class="table table-hover mt-3">
                <thead>
                <tr>
                    <th scope="col">ФИО</th>
                    <th scope="col">Позиция</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="director : ${directors}">
                    <td>
                        <a class="text-link text-blue" th:href="'/directors/' + ${director.getId()}" th:text="${director.getDirectorsFio()}"></a>
                    </td>
                    <td th:text="${director.getDirectorsPosition()}"></td>
                    <td>
                        <div sec:authorize="isAuthenticated() && (hasRole('ADMIN') || hasRole('LIBRARIAN'))">
                            <a class="btn btn-sm btn-outline-success" th:href="'/directors/update/' + ${director.getId()}">Обновить</a>
                            <a th:if="${!director.isDeleted()}" class="btn btn-sm btn-outline-danger" th:href="'/directors/delete/' + ${director.getId()}"
                               onclick="return confirm('Do you really want to remove the Director?');">Удалить</a>
                            <a th:if="${director.isDeleted()}" class="btn btn-sm btn-outline-warning" th:href="'/directors/restore/' + ${director.getId()}">Recover</a>
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
        <div th:if="${exception != null && exception != ''}" class="modal fade" id="deleteErrorModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Error</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body" th:text="${exception}">
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Ок</button>
                    </div>
                </div>
            </div>
        </div>
        <div>
            <nav aria-label="Pagination" th:if="${directors.totalPages gt 0}">
                <ul class="pagination justify-content-center font-weight-bold">
                    <li class="page-item" th:classappend="${directors.number eq 0} ? 'disabled'">
                        <a class="page-link"
                           th:href="@{/directors?page={id}(id=${directors.number lt 2 ? 1 : directors.number})}"
                           aria-label="Previous" title="Previous Page" data-toggle="tooltip">
                            <span aria-hidden="true">&laquo;</span>
                        </a>
                    </li>
                    <li class="page-item" th:classappend="${i eq directors.number + 1} ? 'active'"
                        th:each="i : ${#numbers.sequence( 1, directors.totalPages, 1)}">
                        <a class="page-link" th:href="@{/directors?page={id}(id=${i})}" th:text="${i}"
                           th:title="${'Page '+ i}" data-toggle="tooltip"></a>
                    </li>
                    <li class="page-item" th:classappend="${directors.number eq directors.totalPages - 1} ? 'disabled'">
                        <a class="page-link"
                           th:href="@{/directors?page={id}(id=${directors.number + 2})}"
                           aria-label="Next" title="Next Page" data-toggle="tooltip">
                            <span aria-hidden="true">&raquo;</span>
                        </a>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</div>
</body>
</html>